import { defineConfig } from 'vite'
import path from "path"
import vue from '@vitejs/plugin-vue'
import Components from 'unplugin-vue-components/vite';
import { VantResolver } from 'unplugin-vue-components/resolvers';

// https://vitejs.dev/config/
export default defineConfig({
  base: '/state-grid/invoice-filling-h5/',
  server: {
    //让局域网其他同事可以通过ip地址访问项目
    host:'0.0.0.0',
    proxy: {
      '/api': {
        target: 'http://192.168.89.147:7081',
        changeOrigin: true,
      },
    },
  },
  resolve: {
    alias: [
      { find: '@', replacement: path.resolve(__dirname, 'src') }
    ],
  },
  plugins: [
    vue(),
    Components({
      resolvers: [VantResolver()],
    }),
  ]
})
